# Synplicity, Inc. constraint file
# D:\Actelprj\PowerManagement_ContextSaving\synthesis\PM_CONTEXT_SAVING_TOP_syn.sdc
# Written on Wed Jun 14 11:40:24 2006
# by Synplify, Synplify 8.5B Scope Editor

#
# Clocks
#
define_clock           -comment {RC OSC output}   -name {p:U_PLL.GLA}  -freq 100.000 -clockgroup default_clkgroup_0
define_clock           -comment {Generated Clock - PLL output}   -name {p:U_PLL.GLC}  -freq 10.000 -clockgroup default_clkgroup_1

#
# Clock to Clock
#

#
# Inputs/Outputs
#
define_input_delay -disable      -default -improve 0.00 -route 0.00
define_output_delay -disable     -default -improve 0.00 -route 0.00
define_output_delay              {CONTEXT_DONE}  60.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLC:r}
define_output_delay -disable     {FPGAGOOD} -improve 0.00 -route 0.00
define_input_delay               {RADDR[5:0]}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_output_delay              {RD[15:0]}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay               {RENn}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay               {SAVE_SRAM_TO_FLASH}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_output_delay -disable     {SYS_CLOCK} -improve 0.00 -route 0.00
define_input_delay -disable      {SYS_RESETn} -improve 0.00 -route 0.00
define_input_delay               {UPDATE_SRAM_FROM_FLASH}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay               {VRPU_AUTO_SHDN_EN}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay -disable      {VRPU_IN} -improve 0.00 -route 0.00
define_input_delay               {WADDR[5:0]}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay               {WD[15:0]}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay               {WENn}  4.00 -improve 0.00 -route 0.00 -ref {U_PLL.GLA:r}
define_input_delay -disable      {XTL} -improve 0.00 -route 0.00
define_input_delay -disable      {PUB} -improve 0.00 -route 0.00

#
# Registers
#

#
# Multicycle Path
#

#
# False Path
#
define_false_path           -from {{p:U_PLL.GLA}}  -to {{p:U_ANALOG_RTC.*}} 
define_false_path           -from {{p:U_PLL.GLA}}  -to {{p:U_FLASH.INIT_CLK}} 
define_false_path           -to {{i:U_ANALOG_RTC.*}} 

#
# Path Delay
#

#
# Attributes
#
define_global_attribute          syn_global_buffers {18}
define_attribute          {SYS_RESETn} syn_insert_buffer {CLKBUF}
define_attribute          {n:FLASH_RESETn} syn_insert_buffer {CLKINT}
define_attribute          {n:SYS_CLOCK} syn_insert_buffer {CLKBUF}

#
# I/O standards
#

#
# Other Constraints
#
